Skip to content

List functional currencies for a Set of Books

Request

Purpose

Returns the functional currency codes available for a Set of Books. Use it to fill functionalCurrency on the header.

When to use

  • Fill or validate the header functionalCurrency for a chosen Set of Books.
Security
OneIdOAuth
Query
sobNamestringrequired

Set of Books name (from sobName in GET /journal-entries/metadata).

Example:sobName=US Primary SOB
cURL
curl -i -X GET \
  'https://one.zuora.com/revenue/services/v1/journal-entries/functional-currencies?sobName=US%20Primary%20SOB' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Functional currencies

Headers
traceIdstring

Identifier of the request. Quote it when you contact Zuora Support.

Bodyapplication/json
Array of strings
Response
[ "USD" ]